Bug 168737 - CAN-2005-2968 Mozilla improper command line URL sanitization
CAN-2005-2968 Mozilla improper command line URL sanitization
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
impact=important,public=20050906,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-19 17:45 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 08:35:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-09-19 17:45:51 EDT
Upstream bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=307185

The URL passed to mozilla on the command line does not properly escape dangerous
characters before handing the URL to the shell.
Comment 1 Josh Bressers 2005-09-19 17:46:43 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 3 Mark J. Cox (Product Security) 2005-09-21 03:37:46 EDT
Note this is rated important not critical - a user would have to be tricked into
clicking on a link in an external application that contains the backtick characters.
Comment 4 Josh Bressers 2005-09-22 08:35:41 EDT
After investigating the shell scripts Red Hat ships, we have determined that our
Mozilla pakcages are not vulnerable to this issue.

Note You need to log in before you can comment on or make changes to this bug.